1 Star 0 Fork 0

imoney / fetchmail

加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
克隆/下载
t.validate-xhtml10 826 Bytes
一键复制 编辑 原始数据 按行查看 历史
#! /bin/sh
# This test script validates all *.html files as XHTML.
set -eu
e=0
fail=
IFS=$(printf '\n\t')
# smoke test validator for XHTML 1.0 Transitional, and skip if it fails
cat - <<'_EOF' | xmllint 2>/dev/null --nonet --postvalid --noout - || exit 77
<?xml version="1.0" encoding="US-ASCII"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><title /></head><body></body></html>
_EOF
for i in "${srcdir}"/*.html ; do
case "$i" in
*/fetchmail-man.html) continue ;;
*/Mailbox-Names-UTF7.html) continue ;;
esac
xmllint --postvalid --noout "$i" || { e=1 ; fail="$i${fail:+" "}$fail" ; }
done
if [ $e != 0 ] ; then
echo >&2 ">>>>> Invalid XHTML in files: ${fail}."
fi
exit $e
1
https://gitee.com/csq1124/fetchmail.git
git@gitee.com:csq1124/fetchmail.git
csq1124
fetchmail
fetchmail
BRANCH_MAPI

搜索帮助